<bugID>853678<Summary>Create an easy way to "Undo" a Reset</Summary><Description>Often users will use Firefox Reset to fix a problem, and it doesn't fix it (it's caused by hardware acceleration, malware, etc.). So not only is their Firefox still broken, but they have lost all their addons/settings/etc. While they can use the Old Firefox data folder to restore their data, that's a bit too complicated for most users. 

We should have an item in the Help menu to "Undo Firefox Reset" (and it goes away after 5 restarts or something like that) and after 4 restarts, have a dialog appear that says something like "You recently Reset Firefox to solve a problem. Did this help?" If they click no, say "Would you like to restore Firefox to the way it was before you Reset?" and then we will copy the Old Profile data back, and let the user continue using Firefox.

The specifics need to be worked out still, but we should begin to brainstorm around this.</Description></bugID>